diff -cr sendmail-8.9.0/BuildTools/OS/BSD-OS sendmail-8.9.1/BuildTools/OS/BSD-OS
*** sendmail-8.9.0/BuildTools/OS/BSD-OS	Tue May 19 16:33:39 1998
--- sendmail-8.9.1/BuildTools/OS/BSD-OS	Wed Jun  3 19:14:22 1998
***************
*** 1,5 ****
! #	@(#)BSD-OS	8.7	(Berkeley)	3/13/98
  define(`confMAPDEF', `-DNEWDB -DMAP_REGEX')
  define(`confENVDEF', `-DNETISO')
  define(`confLIBS', `-lutil -lkvm')
  define(`confOPTIMIZE', `-O2')
--- 1,8 ----
! #	@(#)BSD-OS	8.8	(Berkeley)	6/3/98
  define(`confMAPDEF', `-DNEWDB -DMAP_REGEX')
  define(`confENVDEF', `-DNETISO')
  define(`confLIBS', `-lutil -lkvm')
  define(`confOPTIMIZE', `-O2')
+ define(`confMAN1EXT', `0')   
+ define(`confMAN5EXT', `0') 
+ define(`confMAN8EXT', `0')  
diff -cr sendmail-8.9.0/BuildTools/OS/DomainOS sendmail-8.9.1/BuildTools/OS/DomainOS
*** sendmail-8.9.0/BuildTools/OS/DomainOS	Tue May 19 16:33:40 1998
--- sendmail-8.9.1/BuildTools/OS/DomainOS	Wed Jun 24 21:02:38 1998
***************
*** 1,4 ****
! #	@(#)DomainOS	8.5	(Berkeley)	3/12/98
  define(`confBEFORE', `unistd.h dirent.h')
  define(`confMAPDEF', `-DNDBM')
  define(`confSBINDIR', `/usr/etc')
--- 1,5 ----
! #	@(#)DomainOS	8.6	(Berkeley)	6/24/98
! define(`confCC', `cc -A nansi -A,systype,any -A,runtype,bsd4.3')
  define(`confBEFORE', `unistd.h dirent.h')
  define(`confMAPDEF', `-DNDBM')
  define(`confSBINDIR', `/usr/etc')
Only in sendmail-8.9.1/BuildTools/OS: DomainOS.10.4
diff -cr sendmail-8.9.0/BuildTools/OS/NeXT.4.x sendmail-8.9.1/BuildTools/OS/NeXT.4.x
*** sendmail-8.9.0/BuildTools/OS/NeXT.4.x	Tue May 19 16:33:42 1998
--- sendmail-8.9.1/BuildTools/OS/NeXT.4.x	Thu Jun 18 10:47:29 1998
***************
*** 1,4 ****
! #	@(#)NeXT.4.x	8.7	(Berkeley)	3/12/98
  PUSHDIVERT(1)
  # NEXTSTEP 3.1 and 3.2 only support m68k and i386
  #ARCH=  -arch m68k -arch i386 -arch hppa -arch sparc
--- 1,4 ----
! #	@(#)NeXT.4.x	8.8	(Berkeley)	5/25/98
  PUSHDIVERT(1)
  # NEXTSTEP 3.1 and 3.2 only support m68k and i386
  #ARCH=  -arch m68k -arch i386 -arch hppa -arch sparc
***************
*** 11,16 ****
--- 11,17 ----
  define(`confENVDEF', `-DNeXT -Wno-precomp -pipe ${RC_CFLAGS}')
  define(`confLDOPTS', `${RC_CFLAGS}')
  define(`confLIBS', `-ldbm')
+ define(`confMANROOT', `/usr/lib/man/cat')
  define(`confMBINDIR', `/usr/lib')
  define(`confSBINDIR', `/usr/etc')
  define(`confUBINDIR', `/usr/ucb')
diff -cr sendmail-8.9.0/BuildTools/OS/SCO.5.x sendmail-8.9.1/BuildTools/OS/SCO.5.x
*** sendmail-8.9.0/BuildTools/OS/SCO.5.x	Tue May 19 16:33:43 1998
--- sendmail-8.9.1/BuildTools/OS/SCO.5.x	Tue Jun 30 15:11:23 1998
***************
*** 1,7 ****
! #	@(#)SCO.5.x	8.9	(Berkeley)	3/14/98
  define(`confCC', `cc -b elf')
  define(`confLIBS', `-lsocket -lndbm -lprot -lcurses -lm -lx -lgen')
! define(`confMAPDEF', `-DMAP_REGEX')
  define(`confSBINGRP', `bin')
  define(`confMBINDIR', `/usr/lib')
  define(`confSBINDIR', `/usr/etc')
--- 1,7 ----
! #	@(#)SCO.5.x	8.10	(Berkeley)	6/30/98
  define(`confCC', `cc -b elf')
  define(`confLIBS', `-lsocket -lndbm -lprot -lcurses -lm -lx -lgen')
! define(`confMAPDEF', `-DMAP_REGEX -DNDBM')
  define(`confSBINGRP', `bin')
  define(`confMBINDIR', `/usr/lib')
  define(`confSBINDIR', `/usr/etc')
diff -cr sendmail-8.9.0/BuildTools/README sendmail-8.9.1/BuildTools/README
*** sendmail-8.9.0/BuildTools/README	Tue May 19 16:33:15 1998
--- sendmail-8.9.1/BuildTools/README	Tue Jun 30 23:06:45 1998
***************
*** 16,22 ****
  
  will add -I/usr/local/bind/include to the already existing confINCDIRS.
  Note: There must be no trailing spaces after the last quote mark and
! before the closing parenthesis.
  
  By default, sendmail will search your system for include and library
  directories as well as certain libraries (libdb.* for Berkeley DB and
--- 16,23 ----
  
  will add -I/usr/local/bind/include to the already existing confINCDIRS.
  Note: There must be no trailing spaces after the last quote mark and
! before the closing parenthesis.  Also you may need to properly quote
! m4 reserved words as specified by your vendor's m4 command.
  
  By default, sendmail will search your system for include and library
  directories as well as certain libraries (libdb.* for Berkeley DB and
***************
*** 106,109 ****
  confUBINMODE	    555			The mode for user-executable binaries.
  
  
! @(#)README	8.21 (Berkeley) 5/13/98
--- 107,110 ----
  confUBINMODE	    555			The mode for user-executable binaries.
  
  
! @(#)README	8.22 (Berkeley) 6/30/98
diff -cr sendmail-8.9.0/BuildTools/bin/Build sendmail-8.9.1/BuildTools/bin/Build
*** sendmail-8.9.0/BuildTools/bin/Build	Tue May 19 16:33:54 1998
--- sendmail-8.9.1/BuildTools/bin/Build	Wed Jun 24 21:10:11 1998
***************
*** 10,16 ****
  # the sendmail distribution.
  #
  #
! #       @(#)Build	8.88 (Berkeley) 5/19/98
  #
  
  #
--- 10,16 ----
  # the sendmail distribution.
  #
  #
! #       @(#)Build	8.93 (Berkeley) 6/24/98
  #
  
  #
***************
*** 155,160 ****
--- 155,166 ----
  		rel=Mach
  		arch=luna88k
  	fi
+ elif [ -d /usr/apollo -a -d \`node_data ]
+ then
+ 	# probably a Apollo/DOMAIN
+ 	os=DomainOS
+ 	arch=$ISP
+ 	rel=`/usr/apollo/bin/bldt | grep Domain | awk '{ print $4 }' | sed -e 's/,//g'`
  fi
  
  if [ ! "$arch" -a ! "$os" -a ! "$rel" ]
***************
*** 234,239 ****
--- 240,249 ----
  			rel=`uname -v | sed -e 's/\(V.*\)L.*/\1/'`
  		fi;;
    SINIX-?)	os=SINIX;;
+   DomainOS)	case $rel in
+ 		  10.4*)	rel=10.4;;
+ 		esac
+ 		;;
  esac
  
  # get "base part" of operating system release
***************
*** 296,301 ****
--- 306,317 ----
  BUILDTOOLS=${BUILDTOOLS-$SMROOT/BuildTools}
  export SMROOT BUILDTOOLS
  
+ # see if we are in a Build-able directory
+ if [ ! -f Makefile.m4 ]; then
+ 	echo "Makefile.m4 not found.  Build can only be run from a source directory."
+ 	exit $EX_UNAVAILABLE
+ fi
+ 
  # now try to find a reasonable object directory
  if [ -r obj.$os.$rel.$arch$sfx ]; then
  	obj=obj.$os.$rel.$arch$sfx
***************
*** 436,442 ****
  		fi
  		if [ -f $BUILDTOOLS/Site/site.config.m4 ]
  		then
! 			siteconfig=$BUILDTOOLS/Site/site.config.m4
  		fi
  	fi
  	if [ ! -z "$siteconfig" ]
--- 452,458 ----
  		fi
  		if [ -f $BUILDTOOLS/Site/site.config.m4 ]
  		then
! 			siteconfig="$BUILDTOOLS/Site/site.config.m4 $siteconfig"
  		fi
  	fi
  	if [ ! -z "$siteconfig" ]
***************
*** 454,474 ****
  	fi
  	echo 'divert(0)dnl' >> $obj/.settings$$
  	libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_SRIDBIL_=" | \
! 		sed -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
  	libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_HCRSBIL_=" | \
! 		sed -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
  	echo 'divert(-1)' >> $obj/.settings$$
  	LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
  	echo 'divert(0)dnl' >> $obj/.settings$$
! 	sed -e 's/\(.\)include/\1_include_/g' $obj/.settings$$ | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
! 		sed 's/_include_/include/g' > $obj/Makefile
  	if [ $? -ne 0 -o ! -s $obj/Makefile ]
  	then
  		echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
--- 470,490 ----
  	fi
  	echo 'divert(0)dnl' >> $obj/.settings$$
  	libdirs=`(cat $obj/.settings$$; echo "_SRIDBIL_= confLIBDIRS" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_SRIDBIL_=" | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_SRIDBIL_=//"`
  	libsrch=`(cat $obj/.settings$$; echo "_HCRSBIL_= confLIBSEARCH" ) | \
! 		sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - | \
  		grep "^_HCRSBIL_=" | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' -e "s/^_HCRSBIL_=//"`
  	echo 'divert(-1)' >> $obj/.settings$$
  	LIBDIRS="$libdirs" LIBSRCH="$libsrch" SITECONFIG="$siteconfig" sh $BUILDTOOLS/bin/configure.sh $sflag $oscf >> $obj/.settings$$
  	echo 'divert(0)dnl' >> $obj/.settings$$
! 	sed -e 's/\(.\)include/\1_include_/g' -e 's/#define/#_define_/g' $obj/.settings$$ | \
  		${M4} -DconfBUILDTOOLSDIR=$BUILDTOOLS - Makefile.m4 | \
! 		sed -e 's/#_define_/#define/g' -e 's/_include_/include/g' > $obj/Makefile
  	if [ $? -ne 0 -o ! -s $obj/Makefile ]
  	then
  		echo "ERROR: ${M4} failed; You may need a newer version of M4, at least as new as System V or GNU" 1>&2
***************
*** 488,504 ****
  		echo "ERROR: $obj exists but has no Makefile" >&2
  		exit $EX_NOINPUT
  	fi
! 	case $makefile
! 	in
! 	  ../Makefiles/*)
! 		makefile=`echo $makefile | sed 's/...Makefiles.//'`
! 		echo "Will run in existing $obj using $makefile"
! 		;;
! 
! 	  *)
! 		echo "Will run in existing $obj using custom $makefile"
! 		;;
! 	esac
  	exit 0
  fi
  
--- 504,510 ----
  		echo "ERROR: $obj exists but has no Makefile" >&2
  		exit $EX_NOINPUT
  	fi
! 	echo "Will run in existing $obj using $makefile"
  	exit 0
  fi
  
diff -cr sendmail-8.9.0/FAQ sendmail-8.9.1/FAQ
*** sendmail-8.9.0/FAQ	Tue May 19 16:33:00 1998
--- sendmail-8.9.1/FAQ	Wed Jun  3 15:59:06 1998
***************
*** 1,11 ****
  The FAQ is no longer maintained with the sendmail release.  It is
! posted regularly to comp.mail.sendmail, comp.mail.misc, comp.mail.smail,
! comp.answers, and news.answers, and can be obtained via anonymous FTP
! from ftp://rtfm.mit.edu/pub/usenet/news.answers/mail/sendmail-faq/.
! If you do not have access to anonymous FTP, you can retrieve it by
! sending email to mail-server@rtfm.mit.edu with the command "send
! usenet/news.answers/mail/sendmail-faq" in the message.
  
! An HTML version is also available at http://www.sendmail.org/faq/.
! 
! 				--Eric Allman		19 June 1997
--- 1,6 ----
  The FAQ is no longer maintained with the sendmail release.  It is
! available at http://www.sendmail.org/faq/ .
  
! A plain-text version of the questions only, with URLs referring to
! the answers, is posted to comp.mail.sendmail on the 10th and 25th
! of each month.
diff -cr sendmail-8.9.0/KNOWNBUGS sendmail-8.9.1/KNOWNBUGS
*** sendmail-8.9.0/KNOWNBUGS	Tue May 19 16:33:00 1998
--- sendmail-8.9.1/KNOWNBUGS	Tue Jun 30 14:44:31 1998
***************
*** 73,79 ****
  			getrequests: accept: Connection timed out
  
    "Connection timed out" is not documented as a valid return from
!   accept(2) and this is believed to be a bug in the Linux kernel.
  
  * Excessive mailing list nesting can run out of file descriptors.
  
--- 73,83 ----
  			getrequests: accept: Connection timed out
  
    "Connection timed out" is not documented as a valid return from
!   accept(2) and this was believed to be a bug in the Linux kernel.
!   Later information from the Linux kernel group states that Linux
!   2.0 kernels follow RFC1122 while sendmail follows the original BSD
!   (now POSIX 1003.1g draft) specification.  The 2.1.X and later kernels
!   will follow the POSIX draft.
  
  * Excessive mailing list nesting can run out of file descriptors.
  
***************
*** 140,143 ****
    STD 11.
  
  
! (Version 8.30, last updated 5/18/98)
--- 144,147 ----
    STD 11.
  
  
! (Version 8.32, last updated 6/30/98)
diff -cr sendmail-8.9.0/LICENSE sendmail-8.9.1/LICENSE
*** sendmail-8.9.0/LICENSE	Tue May 19 16:33:01 1998
--- sendmail-8.9.1/LICENSE	Wed Jun 24 18:53:02 1998
***************
*** 16,28 ****
     (a) Redistributions are made at no charge beyond the reasonable cost of
         materials and delivery.
  
!    (b) Redistributions are accompanied by a copy of the Source Code or by
!        an irrevocable offer to provide a copy of the Source Code at the
!        cost of materials and delivery.  Such redistributions must allow
!        further use, modification, and redistribution of the Source Code
!        under substantially the same terms as this license.  For the
         purposes of redistribution "Source Code" means the complete source
!        code including all modifications.
  
     Other forms of redistribution are allowed only under a separate royalty-
     free agreement permitting such redistribution subject to standard
--- 16,28 ----
     (a) Redistributions are made at no charge beyond the reasonable cost of
         materials and delivery.
  
!    (b) Redistributions are accompanied by a copy of the Source Code or by an
!        irrevocable offer to provide a copy of the Source Code for up to three
!        years at the cost of materials and delivery.  Such redistributions
!        must allow further use, modification, and redistribution of the Source
!        Code under substantially the same terms as this license.  For the
         purposes of redistribution "Source Code" means the complete source
!        code of sendmail including all modifications.
  
     Other forms of redistribution are allowed only under a separate royalty-
     free agreement permitting such redistribution subject to standard
***************
*** 37,50 ****
     these license terms, and the disclaimer/limitation of liability set
     forth as paragraph 6 below, in the documentation and/or other materials
     provided with the distribution.  For the purposes of binary distribution
!    the "Copyright Notice" refers to the following language
     "Copyright (c) 1998 Sendmail, Inc.  All rights reserved."
  
  4. Neither the name of Sendmail, Inc. nor the University of California nor
     the names of their contributors may be used to endorse or promote
     products derived from this software without specific prior written
!    permission.  The name "sendmail" is a trademark of Sendmail, Inc. and
!    may be used only if so ascribed.
  
  5. All redistributions must comply with the conditions imposed by the
     University of California on certain embedded code, whose copyright
--- 37,49 ----
     these license terms, and the disclaimer/limitation of liability set
     forth as paragraph 6 below, in the documentation and/or other materials
     provided with the distribution.  For the purposes of binary distribution
!    the "Copyright Notice" refers to the following language:
     "Copyright (c) 1998 Sendmail, Inc.  All rights reserved."
  
  4. Neither the name of Sendmail, Inc. nor the University of California nor
     the names of their contributors may be used to endorse or promote
     products derived from this software without specific prior written
!    permission.  The name "sendmail" is a trademark of Sendmail, Inc.
  
  5. All redistributions must comply with the conditions imposed by the
     University of California on certain embedded code, whose copyright
***************
*** 87,90 ****
     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
     THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
  
! (Version 8.4, last updated 5/19/98)
--- 86,89 ----
     (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF
     THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGES.
  
! (Version 8.6, last updated 6/24/98)
